Redmine - Defect #13376

watcher notification issue
2013-03-06 19:35 - Nicola Jean

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version: 222

Description

running on redmine 2.2.0.

Every time an issue is updated all the watchers are notified, regardless of their mail notification status. It looks like there is a problem
in lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb line 73 :

notified.reject! {|user| user.mail_notification == 'none'}

quick fix : change it to

notified.reject! {|user| (user.mail_notification == 'none' or user.mail_notification ==
'only_assigned' or user.mail_notification == 'only_owner') }

If I recall correctly this problem has already been solved in redmine 1.1.2. Is there any test to check that it does not appear any
more?

Regards

Related issues:
Related to Redmine - Patch #24177: Change translation for label_user_mail_opt... Closed

History

#1 - 2017-04-16 04:26 - Go MAEDA

- Related to Patch #24177: Change translation for label_user_mail_option_only (assigned/owner) added

#2 - 2017-04-16 04:27 - Go MAEDA
- Status changed from New to Closed
- Resolution set to Fixed

This is not a defect but expected behavior. The current caption of labels are misleading.

They will be changed from "Only for things | am (assigned to[the owner of)"to "Only for things I watch or | am (assigned to|the owner of)"in
upcoming Redmine 3.4.0 (#24177).

#3 - 2017-05-14 09:25 - Toshi MARUYAMA
- Description updated

2025-05-01 1/1



https://www.redmine.org/issues/24177
http://www.tcpdf.org

